Page MenuHomePhabricator

JCApi.php: PHP Notice: Trying to get property [PROPERTY] of non-object
Closed, ResolvedPublic

Description

Error
message
[XWe6pwpAIDsAAKQV72wAAAAL] /w/api.php?action=jsonconfig&format=jsonfm   ErrorException from line 35 of /srv/mediawiki/php-1.34.0-wmf.19/extensions/JsonConfig/includes/JCApi.php: PHP Notice: Trying to get property 'notifyPassword' of non-object
Impact

Seen in wmf.8, wmf.16, wmf.17, wmf.19, wmf.20, ... 1.35.0-wmf.3.

Notes

Not blocking the train.

Properties:

  • cacheNewValue
  • notifyPassword
  • notifyUrl
  • notifyUsername

Details

Request ID
XWe6pwpAIDsAAKQV72wAAAAL
Request URL
pap.wikipedia.org/w/api.php?action=jsonconfig&format=jsonfm
Stack Trace
trace
#0 /srv/mediawiki/php-1.34.0-wmf.19/extensions/JsonConfig/includes/JCApi.php(35): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.34.0-wmf.19/extensions/JsonConfig/includes/JCApi.php(64): JsonConfig\JCApi::addStatusConf(stdClass)
#2 /srv/mediawiki/php-1.34.0-wmf.19/includes/api/ApiMain.php(1589): JsonConfig\JCApi->execute()
#3 /srv/mediawiki/php-1.34.0-wmf.19/includes/api/ApiMain.php(533): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.34.0-wmf.19/includes/api/ApiMain.php(504): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.34.0-wmf.19/api.php(86): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): require(string)
#7 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2019, 1:48 PM

JsonConfig is the most common producer of errors in the production logs over the past few weeks, this makes deployments more difficult and risky than they need to be. Tagging Product-Infra per mw:Maintainers page to hopefully look into this.

LGoto assigned this task to MSantos.Oct 16 2019, 3:41 PM
LGoto triaged this task as Medium priority.
brennen updated the task description. (Show Details)Oct 24 2019, 2:45 PM
Krinkle removed a subscriber: Krinkle.Oct 24 2019, 2:53 PM

Change 545848 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/JsonConfig@master] Fix PHP production error and update documentation

https://gerrit.wikimedia.org/r/545848

Change 545848 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Fix PHP production error and update documentation

https://gerrit.wikimedia.org/r/545848

MSantos closed this task as Resolved.Dec 5 2019, 3:32 PM

Not seeing this anymore, (since 10/30/2019). Please reopen if needed.